import { shallow, mount } from 'enzyme';
import React from 'react';
import { NavbarUserDropdown } from 'web-foundation';

describe('<NavbarUserDropdown />', function() {
    it('should initialize all nice like', function() {
        const wrapper = mount(
            <NavbarUserDropdown />
        );

        expect(wrapper.type()).to.equal(NavbarUserDropdown);
    });

    it('should have component class name', function() {
        const wrapper = shallow(<NavbarUserDropdown />);

        expect(wrapper.hasClass('navbar-user-dropdown')).to.be.true;
    });
});
